# $Revision: 1.5 $, $Date: 2009/01/24 18:58:58 $
%define		source_name gmpc-lyrics
Summary:	Lyrics provider plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca słowa piosenek dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-lyrics-provider
Version:	0.17.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/0.17.0/gmpc-lyrics-%{version}.tar.gz
# Source0-md5:	f93bfcccd812207f207072b0f7aa8503
URL:		http://gmpcwiki.sarine.nl/index.php?title=Lyrics
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gmpc-devel >= 0.17.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
Requires:	gmpc >= 0.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin fetches lyrics from the internet. It uses the following
websites as sources:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%description -l pl.UTF-8
Ta wtyczka pobiera słowa piosenek z następujęcych serwisów
internetowych:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/lyricsplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-lyrics-provider.spec,v $
Revision 1.5  2009/01/24 18:58:58  megabajt
- updated to 0.17.0

Revision 1.4  2008/12/06 14:21:59  jajcus
- Version: 0.16.0 (current stable)

Revision 1.3  2007/05/20 21:52:44  wiget
- updated to 0.15.0

Revision 1.2  2007/03/09 18:33:06  qboosh
- formatting, cut down changelog

Revision 1.1  2007/02/20 19:06:22  wiget
- initial version
